Skip to main content
GET
/
v1
/
builtin-nodes
List Builtin Nodes
curl --request GET \
  --url https://api.runflow.io/v1/builtin-nodes \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "code": "<string>",
      "type_code": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "category": "<string>",
      "color": "<string>",
      "icon_name": "<string>",
      "sort_order": 123,
      "is_active": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "inputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "builtin_node_code": "<string>",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "default_behavior_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "is_required": true,
          "default_value": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "builtin_node_code": "<string>",
          "name": "<string>",
          "display_name": "<string>",
          "description": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string | null

Search filter (ANTLR syntax)

sort_by
string | null

Sort expression (e.g. 'sort_order:asc')

limit
integer | null

Page size

Required range: 1 <= x <= 500
fields
string | null

Field projection

embed
string | null

Embed relations (e.g. 'inputs,outputs')

pq
string | null

Previous-page query

from_prev
boolean
default:false

Backward pagination flag

Response

Successful Response

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null